List recent webhook deliveries
GET
/api/projects/{id}/webhooks/deliveries
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Responses
200
Last 50 deliveries
application/jsondeliveries
object[]
REQUIRED
Array of:
id
string
REQUIRED
event_id
string
REQUIRED
event_type
string
REQUIRED
asset_id
string | null
REQUIRED
attempt
number
REQUIRED
status
string
REQUIRED
response_code
number | null
REQUIRED
next_attempt_ts
number | null
REQUIRED
created_at
number
REQUIRED
delivered_at
number | null
REQUIRED
401
Unauthenticated
404
Not found
curl -X GET 'https://motioness.com/api/projects/abc123/webhooks/deliveries'
const response = await fetch('https://motioness.com/api/projects/abc123/webhooks/deliveries', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://motioness.com/api/projects/abc123/webhooks/deliveries')print(response.json())
200
Response
{ "deliveries": [ { "id": "<string>", "event_id": "<string>", "event_type": "<string>", "asset_id": "<string>", "attempt": 123, "status": "<string>", "response_code": 123, "next_attempt_ts": 123, "created_at": 123, "delivered_at": 123 } ]}
API Playground
Try this endpoint
GET
/api/projects/{id}/webhooks/deliveries